Bug 1143052 - nouveau: SIGSEGV running vlc
nouveau: SIGSEGV running vlc
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
x86-64 openSUSE Factory
: P3 - Medium : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
https://bugs.freedesktop.org/show_bug...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-26 14:24 UTC by Rich Coe
Modified: 2019-09-24 08:54 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
sndirsch: needinfo? (rcoe)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rich Coe 2019-07-26 14:24:06 UTC
running: vlc my_video.mov

Thread 25 "vlc" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffbc1a8700 (LWP 24784)]
0x00007fffaa6ccd4f in nv50_ir::AlgebraicOpt::handleCVT_CVT (this=<optimized out>, cvt=<optimized out>) at /usr/include/c++/9/bits/stl_deque.h:270
270           _M_set_node(_Map_pointer __new_node) _GLIBCXX_NOEXCEPT
(gdb) where
#0  0x00007fffaa6ccd4f in nv50_ir::AlgebraicOpt::handleCVT_CVT (this=<optimized out>, cvt=<optimized out>) at /usr/include/c++/9/bits/stl_deque.h:270
#1  nv50_ir::AlgebraicOpt::visit (this=0x7fffbc1a5370, bb=<optimized out>) at ../src/gallium/drivers/nouveau/codegen/nv50_ir_peephole.cpp:2351
#2  0x00007fffaa703b37 in nv50_ir::Pass::doRun (this=0x7fffbc1a5370, func=<optimized out>, ordered=<optimized out>, skipPhi=false) at ../src/gallium/drivers/nouveau/codegen/nv50_ir_bb.cpp:495
#3  0x00007fffaa539145 in nv50_ir::Pass::doRun (skipPhi=false, ordered=false, prog=0x0, this=0x7fffbc1a5370) at ../src/gallium/drivers/nouveau/codegen/nv50_ir_bb.cpp:466
#4  nv50_ir::Pass::run(nv50_ir::Program*, bool, bool) [clone .constprop.0] (this=this@entry=0x7fffbc1a5370, prog=prog@entry=0x7fffa00b09c0, skipPhi=skipPhi@entry=false, ordered=false) at ../src/gallium/drivers/nouveau/codegen/nv50_ir_bb.cpp:457
#5  0x00007fffaa6c341d in nv50_ir::Program::optimizeSSA (this=0x7fffa00b09c0, level=3) at ../src/gallium/drivers/nouveau/codegen/nv50_ir_peephole.cpp:4005
#6  0x00007fffaa7181f9 in nv50_ir_generate_code (info=0x7fffa0134220) at ../src/gallium/drivers/nouveau/codegen/nv50_ir.cpp:1267
#7  0x00007fffaa6a7369 in nvc0_program_translate (prog=0x7fffa0112ff0, chipset=<optimized out>, debug=0x7fffa00cebf8) at ../src/gallium/drivers/nouveau/nvc0/nvc0_program.c:638
#8  0x00007fffaa7647d2 in nvc0_cp_state_create (pipe=0x7fffa00ce830, cso=0x7fffbc1a6150) at ../src/gallium/drivers/nouveau/nvc0/nvc0_context.h:292
#9  0x00007fffaa92bf12 in vl_compositor_cs_create_shader (c=0x7fffa00a8098, compute_shader_text=<optimized out>) at ../src/gallium/auxiliary/vl/vl_compositor_cs.c:433
#10 0x00007fffaa941467 in init_shaders (c=0x7fffa00a8098) at ../src/gallium/auxiliary/vl/vl_compositor.c:74
#11 vl_compositor_init (pipe=<optimized out>, c=<optimized out>) at ../src/gallium/auxiliary/vl/vl_compositor.c:770
#12 __vaDriverInit_1_4 (ctx=0x7fffa0060240) at ../src/gallium/state_trackers/va/context.c:163
#13 0x00007fffc4d776a7 in ?? () from /usr/lib64/libva.so.2
#14 0x00007fffc4d7ac00 in vaInitialize () from /usr/lib64/libva.so.2
#15 0x00007fffc5685605 in ?? () from /usr/lib64/vlc/plugins/video_output/libglconv_vaapi_x11_plugin.so
#16 0x00007fffc568511c in ?? () from /usr/lib64/vlc/plugins/video_output/libglconv_vaapi_x11_plugin.so
#17 0x00007ffff7c7f613 in ?? () from /usr/lib64/libvlccore.so.9
#18 0x00007ffff7c7fbb9 in vlc_module_load () from /usr/lib64/libvlccore.so.9
#19 0x00007fffc404d43b in ?? () from /usr/lib64/vlc/plugins/video_output/libgl_plugin.so
#20 0x00007fffc404e56d in ?? () from /usr/lib64/vlc/plugins/video_output/libgl_plugin.so
#21 0x00007fffc4055fb8 in ?? () from /usr/lib64/vlc/plugins/video_output/libgl_plugin.so
#22 0x00007ffff7c7f613 in ?? () from /usr/lib64/libvlccore.so.9
#23 0x00007ffff7c7fbb9 in vlc_module_load () from /usr/lib64/libvlccore.so.9
#24 0x00007ffff7cce592 in ?? () from /usr/lib64/libvlccore.so.9
#25 0x00007ffff7ccffe3 in ?? () from /usr/lib64/libvlccore.so.9
#26 0x00007ffff7ce0d08 in ?? () from /usr/lib64/libvlccore.so.9
#27 0x00007ffff7cd3370 in ?? () from /usr/lib64/libvlccore.so.9
#28 0x00007ffff7cd52ed in ?? () from /usr/lib64/libvlccore.so.9
#29 0x00007ffff7f31faa in start_thread () from /lib64/libpthread.so.0
#30 0x00007ffff7e5d73f in clone () from /lib64/libc.so.6

Mesa-libva-19.1.2-225.1.x86_64

found BFO#111217 https://bugs.freedesktop.org/show_bug.cgi?id=111217
Comment 1 Stefan Dirsch 2019-07-26 15:06:04 UTC
Ok. I suggest to remove  Mesa_libva package for now as workaround and let vlc fall back VDPAU (package libvdpau_nouveau).
Comment 2 Rich Coe 2019-07-26 19:19:54 UTC
Thanks, removing Mesa-libva made it work.
Comment 3 Stefan Dirsch 2019-09-02 13:00:11 UTC
Sounds like a dup of boo#1139881, which meanwhile has been fixed in TW. So could you give it another try with latest TW updates?
Comment 4 Stefan Dirsch 2019-09-24 08:54:20 UTC
(In reply to Stefan Dirsch from comment #3)
> Sounds like a dup of boo#1139881, which meanwhile has been fixed in TW. So
> could you give it another try with latest TW updates?

Ok. Then let's assume this one being fixed. Otherwise please open, if the issue still exists with latest TW. Thanks!